Download it now!
Bug 81306 - EDITING: Impossibile to resize formula field if under another field
Summary: EDITING: Impossibile to resize formula field if under another field
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: All All
: low minor
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Calc-UX
  Show dependency treegraph
 
Reported: 2014-07-13 20:32 UTC by lore
Modified: 2020-08-12 18:07 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description lore 2014-07-13 20:32:19 UTC
Problem description: 
If you have a formula that is pointing at the same cell range twice and you resize one of the two fields to make it bigger by dragging one of the corners' square, you will not be able to resize the second one with the same method

Steps to reproduce:
1. New file
2. Fill the first 6 cells of the first column with numbers (cells A1:A6)
3. Chose an empty cell and write this formula in it: =SUM(A1:A4)-SUM(A1:A4)
4. Double clic on the cell with the formula to make the formula fields appear, select the first one (at this stage they are one on top of the other and then appear as one filed only) and drag one of the bottom corners' square down to enclose cells A1:A6. At this point the formula should be =SUM(A1:A4)-SUM(A1:A6)
5. Now try and do the same with the other field, you will not be able to pick the square for dragging. You will not be able to drag the whole rectangle by clicking on its bottom line either.

Current behavior:
See above
Expected behavior:
You should be able to resize the smaller rectangle or to move it around. When clicking, the priority of what gets picked and what not should be revised and should depend on the vicinity of pickable element.

              
Operating System: Mac OS X
Version: 4.2.5.2 release
Comment 1 Joel Madero 2014-07-16 20:18:16 UTC
Thank you for reporting this issue! I have been able to confirm the issue on:
Version: 4.3.0.2 rc
Date:   Mon Jun 23 15:40:45 2014 +0200
Platform :Ubuntu 14.04
DE: GNOME3

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
As I've been able to confirm this problem I am marking as:

New (confirmed)
Minor - can slow down professional work but won't prevent it
Low - there is a relatively easy work around

If you push enter and then double click again on the cell, both boxes are now selectable.

+ + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + + +
LibreOffice is powered by a team of volunteers, every bug is confirmed (triaged) by human beings who mostly give their time for free. We invite you to join our triaging by checking out this link:
https://wiki.documentfoundation.org/QA/BugTriage and join us on freenode at #libreoffice-qa

There are also other ways to get involved including with marketing, UX, documentation, and of course developing -  http://www.libreoffice.org/get-help/mailing-lists/. 

Lastly, good bug reports help tremendously in making the process go smoother, please always provide reproducible steps (even if it seems easy) and attach any and all relevant material
Comment 2 QA Administrators 2015-07-18 17:43:49 UTC Comment hidden (obsolete)
Comment 3 Buovjaga 2015-10-22 17:01:19 UTC
Repro.

You can also move the A1:A6 box away for a while and then you can access the box underneath it.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: fcc2415ade6ae93710bbbda9f7e163045e323105
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-21_16:55:13
Locale: fi-FI (fi_FI)
Comment 4 QA Administrators 2016-11-08 11:10:27 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:17:16 UTC
Dear lore,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug